Class List Method List File List

# Module: Cri::Platform

Defined in:
  lib/cri/platform.rb

## Class Method Summary (collapse)

- + (Boolean) color?(io)

  Checks whether colors can be enabled.

- + (Boolean) windows?

  otherwise.

## Class Method Details

### + (`Boolean`) color?(io)

Checks whether colors can be enabled. For colors to be enabled, the given IO should be a TTY, and, when on Windows, ::Win32::Console::ANSI needs to be defined.

Returns:

- (`Boolean`) —

  True if colors should be enabled, false otherwise.

    16
    17
    18
    19
    20
    21
    22
    23
    24

    # File 'lib/cri/platform.rb', line 16

    def self.color?(io)
      if !io.tty?
        false
      elsif windows?
        defined?(::Win32::Console::ANSI)
      else
        true
      end
    end

### + (`Boolean`) windows?

otherwise.

Returns:

- (`Boolean`) —

  true if the current platform is Windows, false

    7
    8
    9

    # File 'lib/cri/platform.rb', line 7

    def self.windows?
      RUBY_PLATFORM =~ /windows|bccwin|cygwin|djgpp|mingw|mswin|wince/i
    end